19 lines
402 B
Diff
19 lines
402 B
Diff
|
Index: os-prober-1.58/common.sh
|
||
|
===================================================================
|
||
|
--- os-prober-1.58.orig/common.sh
|
||
|
+++ os-prober-1.58/common.sh
|
||
|
@@ -313,3 +313,13 @@ linux_mount_boot () {
|
||
|
|
||
|
mountboot="$bootpart $mounted"
|
||
|
}
|
||
|
+
|
||
|
+umount_exec=$(which umount)
|
||
|
+umount() {
|
||
|
+ if ! $umount_exec $@; then
|
||
|
+ error "umount error, retrying after 1 sec"
|
||
|
+ sleep 1
|
||
|
+ $umount_exec $@
|
||
|
+ fi
|
||
|
+}
|
||
|
+
|